{--
List the item number and description of all bicycles that currently have an auction in progress, ordered by item number.
Warning: as this query uses the current date, it might be necessary to adjust the values in the relational tables 
to obtain results
--}

<result>
{
for $i in collection("items")/items
where 	$i/start_date <= current-datetime() 
	and $i/end_date >= current-datetime() 
	and contains($i/description, "bicycle")
return
	<item>
		{ $i/itemno }
		{ $i/description }
	</item>
sortby (itemno)
}
</result>