drop table "bids";
drop table "items";
drop table "users";

create table "users" (
 "userid" 				   char(3) primary key,
 "name"					   varchar(20) unique,
 "rating"					   char(1)
);

create table "items" (
 "itemno" 				   char(4) primary key,
 "description"			   varchar(30),
 "offered_by"				   char(3),
 "start_date"				   date,
 "end_date"				   date,
 "reserve_price"			   decimal(10)
);

create table "bids" (
 "userid" 				   char(3),
 "itemno" 				   char(4),
 "bid"					   decimal(10) not null,
 "bid_date"				   date
);

insert into "users" values('U01','Tom Jones','B');
insert into "users" values('U02','Mary Doe','A');
insert into "users" values('U03','Dee Linquent','D');
insert into "users" values('U04','Roger Smith','C');
insert into "users" values('U05','Jack Sprat','B');
insert into "users" values('U06','Rip Van Winkle','B');


insert into "items" values(1001,'Red Bicycle','U01',TO_DATE('1999-01-05','YYYY-MM-DD'),TO_DATE('1999-01-20','YYYY-MM-DD'),40);
insert into "items" values(1002,'Motorcycle','U02',TO_DATE('1999-02-11','YYYY-MM-DD'),TO_DATE('1999-03-15','YYYY-MM-DD'),500);
insert into "items" values(1003,'Old Bicycle','U02',TO_DATE('1999-01-10','YYYY-MM-DD'),TO_DATE('1999-02-20','YYYY-MM-DD'),25);
insert into "items" values(1004,'Tricycle','U01',TO_DATE('1999-02-25','YYYY-MM-DD'),TO_DATE('1999-03-08','YYYY-MM-DD'),15);
insert into "items" values(1005,'Tennis Racket','U03',TO_DATE('1999-03-19','YYYY-MM-DD'),TO_DATE('1999-04-30','YYYY-MM-DD'),20);
insert into "items" values(1006,'Helicopter','U03',TO_DATE('1999-05-05','YYYY-MM-DD'),TO_DATE('1999-05-25','YYYY-MM-DD'),50000);
insert into "items" values(1007,'Racing Bicycle','U04',TO_DATE('1999-01-20','YYYY-MM-DD'),TO_DATE('1999-02-20','YYYY-MM-DD'),200);
insert into "items" values(1008,'Broken Bicycle','U01',TO_DATE('1999-02-05','YYYY-MM-DD'),TO_DATE('1999-03-06','YYYY-MM-DD'),25);

insert into "bids" values('U01',1002,400,TO_DATE('1999-02-14','YYYY-MM-DD'));
insert into "bids" values('U01',1004,40,TO_DATE('1999-03-05','YYYY-MM-DD'));
insert into "bids" values('U02',1001,35,TO_DATE('1999-01-07','YYYY-MM-DD'));
insert into "bids" values('U02',1001,45,TO_DATE('1999-01-11','YYYY-MM-DD'));
insert into "bids" values('U02',1001,55,TO_DATE('1999-01-15','YYYY-MM-DD'));
insert into "bids" values('U02',1002,600,TO_DATE('1999-02-16','YYYY-MM-DD'));
insert into "bids" values('U02',1002,1200,TO_DATE('1999-03-02','YYYY-MM-DD'));
insert into "bids" values('U03',1002,800,TO_DATE('1999-02-17','YYYY-MM-DD'));
insert into "bids" values('U03',1007,175,TO_DATE('1999-01-25','YYYY-MM-DD'));
insert into "bids" values('U04',1001,40,TO_DATE('1999-01-08','YYYY-MM-DD'));
insert into "bids" values('U04',1001,50,TO_DATE('1999-01-13','YYYY-MM-DD'));
insert into "bids" values('U04',1002,1000,TO_DATE('1999-02-25','YYYY-MM-DD'));
insert into "bids" values('U04',1003,15,TO_DATE('1999-01-22','YYYY-MM-DD'));
insert into "bids" values('U04',1007,225,TO_DATE('1999-02-12','YYYY-MM-DD'));
insert into "bids" values('U05',1003,20,TO_DATE('1999-02-03','YYYY-MM-DD'));
insert into "bids" values('U05',1007,200,TO_DATE('1999-02-08','YYYY-MM-DD'));
